/*
 * The Hefei JingTong RDC(Research and Development Centre) Group.
 * __________________
 *
 *    Copyright 2015-2021
 *    All Rights Reserved.
 *
 *    NOTICE:  All information contained herein is, and remains
 *    the property of JingTong Company and its suppliers,
 *    if any.
 */

package com.jingtong.bpm.facde;

import com.jingtong.bpm.facde.dto.DatasourceDTO;
import com.jingtong.data.rest.R;

import java.util.List;
import java.util.Map;

import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
@Slf4j
public class DatesourceHttpClient extends BaseHttpClient {
    private final OkHttpUtil okHttpUtil;
    public DatesourceHttpClient(OkHttpUtil okHttpUtil, String host) {
        this.okHttpUtil = okHttpUtil;
        if (host.endsWith(StrUtil.C_SLASH + "")) {
            host = host.substring(0, host.length() - 1);
        }
        this.host = host;
    }

    public R<List<DatasourceDTO>> list(Map<String, Object> params, String user) {
        final R<List<DatasourceDTO>> objectR = okHttpUtil.getList(this.host + datasourceUrl + "/list", params, user);
        return objectR;
    }
}
